# $Revision: 1.12 $, $Date: 2011/03/01 06:28:38 $
%include	/usr/lib/rpm/macros.php
%define		_class		Testing
%define		_subclass	Selenium
%define		_status		beta
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - PHP Client for the Selenium Remote Control test tool
Summary(pl.UTF-8):	%{_pearname} - Klient PHP dla narzędzia Selenium Remote Control
Name:		php-pear-%{_pearname}
Version:	0.4.3
Release:	2
License:	Apache v2.0
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	d811b90dd5c675ef9e950d24a0b2d795
Patch0:		%{_pearname}-PHPUnit2.patch
URL:		http://pear.php.net/package/Testing_Selenium/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Obsoletes:	php-pear-Testing_Selenium-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Selenium Remote Control (SRC) is a test tool that allows you to write
automated web application UI tests in any programming language against
any HTTP website using any mainstream JavaScript-enabled browser. SRC
provides a Selenium Server, which can automatically start/stop/control
any supported browser. It works by using Selenium Core, a pure-HTML+JS
library that performs automated tasks in JavaScript; the Selenium
Server communicates directly with the browser using AJAX.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Selenium Remote Control (SRC) to narzędzie umożliwiające pisanie
automatycznych testów aplikacji internetowych na poziomie interfejsu
użytkownika. Umożliwia testowanie za pomocą większości przeglądarek
obsługujących JavaScript. SRC udostępnia Selenium Server,
automatycznie uruchamiający/wstrzymujący/sterujący dowolną obsługiwaną
przeglądarką. Działa za pomocą Selenium Core - biblioteki w czystym
HTML-u i JavaScripcie wykonującej zautomatyzowane zadania w
JavaScripcie; Selenium Server komunikuje się bezpośrednio z
przeglądarką poprzez AJAX.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/data/Testing_Selenium
%{php_pear_dir}/Testing/*.php
%{php_pear_dir}/Testing/Selenium.php
%{php_pear_dir}/Testing/Selenium

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Testing_Selenium.spec,v $
Revision 1.12  2011/03/01 06:28:38  glen
- release 2

Revision 1.11  2011/01/23 01:03:28  sparky
- dropped -tests subpackage

Revision 1.10  2008/07/18 21:38:51  adamg
- updated to 0.4.3

Revision 1.9  2008-02-09 21:00:47  qboosh
- unified License format

Revision 1.8  2008-01-31 12:16:11  glen
- rel 2

Revision 1.7  2007-12-22 23:19:01  adamg
- updated to 0.4.2

Revision 1.6  2007/08/23 10:01:35  adamg
- updated to 0.3.2

Revision 1.5  2007/06/17 11:33:05  qboosh
- enhanced pl desc
- no macros in URL, readable files

Revision 1.4  2007/06/05 07:16:13  glen
- proper pl code

Revision 1.3  2007/06/04 22:40:05  ggodlewski
- add missing (?) UTF8

Revision 1.2  2007/06/04 22:24:44  ggodlewski
- added missing desc
- patch for PHPUnit2

Revision 1.1  2007/06/04 21:00:27  ggodlewski
- Initial release
